package cz.moneta.test.regression.backoffice.ufooperations.disabled;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.ufo.operations.search.SearchBy;
import cz.moneta.test.dsl.util.credentials.Keys;
import cz.moneta.test.dsl.util.task.ufo.operations.OperationsTasks;
import cz.moneta.test.harness.annotations.Environment;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import cz.moneta.test.harness.support.auth.Credentials;
import cz.moneta.test.harness.support.auth.Key;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.Disabled;

import static cz.moneta.test.dsl.util.task.ufo.cb.CommercialTasks.JIRA_COMMENT_STORE_KEY;

@Disabled
@TestScenario(name = "Transfer account to 535 with positive balance")
public class TransferAccountTo535WithPositiveBalance {
    String accountNumber = "236137361";

    @TestCase(name = "Transfer account to 535 with positive balance", environments = {Environment.PPE})
    @JiraTestCase(id = "BOC-T8579")
    public void transferAccountTo535WithPositiveBalance(Harness harness, @Key(Keys.ufo.banka.banker) Credentials credentials) {

        OperationsTasks operationsTasksTasks = harness.tasks().ufo().operations();
        harness.withUfo()
                .openLoginPage()
                .then(operationsTasksTasks.login().withCredentialsAndSelectFirstOM(credentials))
                .fillSearchInput(accountNumber)
                .searchBy(SearchBy.ACCOUNT_NUMBER)
                .onClientDetailsPage()
                .transferTo535()
                .onAccountCanBeTransferredTo535()
                .clickOkProduct535()
                .clickHomePage()
                .fillSearchInput(accountNumber)
                .searchByAndAcceptAlertIfVisible(SearchBy.ACCOUNT_NUMBER)
                .onClientDetailsPage()
                .assertAccountProduct("povězenou smlouvou - kreditní zůstatky");
    }

    @AfterEach
    protected void teardown(Harness harness) {
        harness.store(JIRA_COMMENT_STORE_KEY,
                "\nUFO Session ID: " + harness.get("reports.tmfj.execution.commentufosessionid") +
                        "\nČíslo účtu: " + accountNumber);
    }
}